| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::datasets::Dataset Class Referenceabstract
Framework for working with different datasets

`#include <opencv2/datasets/dataset.hpp>`

Inheritance diagram for cv::datasets::Dataset:

## Public Member Functions
| Dataset ()
virtual | ~Dataset ()
int | getNumSplits () const
std::vector< Ptr< Object > > & | getTest (int splitNum=0)
std::vector< Ptr< Object > > & | getTrain (int splitNum=0)
std::vector< Ptr< Object > > & | getValidation (int splitNum=0)
virtual void | load (const std::string &path)=0

## Protected Attributes
std::vector< std::vector< Ptr< Object > > > | test
std::vector< std::vector< Ptr< Object > > > | train
std::vector< std::vector< Ptr< Object > > > | validation

## Constructor & Destructor Documentation

## § Dataset()

cv::datasets::Dataset::Dataset | ( |  | ) |
| inline

## § ~Dataset()

virtual cv::datasets::Dataset::~Dataset | ( |  | ) |
| inline virtual

## Member Function Documentation

## § getNumSplits()

int cv::datasets::Dataset::getNumSplits | ( |  | ) | const

## § getTest()

std::vector< Ptr<Object> >& cv::datasets::Dataset::getTest | ( | int | splitNum = `0` | ) |

## § getTrain()

std::vector< Ptr<Object> >& cv::datasets::Dataset::getTrain | ( | int | splitNum = `0` | ) |

## § getValidation()

std::vector< Ptr<Object> >& cv::datasets::Dataset::getValidation | ( | int | splitNum = `0` | ) |

## § load()

virtual void cv::datasets::Dataset::load | ( | const std::string & | path | ) |
| pure virtual

Implemented in cv::datasets::GR_skig, cv::datasets::OR_pascal, cv::datasets::FR_adience, cv::datasets::GR_chalearn, cv::datasets::PD_inria, cv::datasets::HPE_humaneva, cv::datasets::MSM_epfl, cv::datasets::IR_robot, cv::datasets::PD_caltech, cv::datasets::TRACK_alov, cv::datasets::SLAM_kitti, cv::datasets::SLAM_tumindoor, cv::datasets::TR_icdar, cv::datasets::TR_svt, cv::datasets::TRACK_vot, cv::datasets::IS_weizmann, cv::datasets::MSM_middlebury, cv::datasets::AR_hmdb, cv::datasets::IR_affine, cv::datasets::AR_sports, cv::datasets::FR_lfw, cv::datasets::OR_imagenet, cv::datasets::OR_mnist, cv::datasets::OR_sun, cv::datasets::TR_chars, cv::datasets::HPE_parse, and cv::datasets::IS_bsds.

## Member Data Documentation

## § test

std::vector< std::vector< Ptr<Object> > > cv::datasets::Dataset::test
| protected

## § train

std::vector< std::vector< Ptr<Object> > > cv::datasets::Dataset::train
| protected

## § validation

std::vector< std::vector< Ptr<Object> > > cv::datasets::Dataset::validation
| protected

The documentation for this class was generated from the following file:

- opencv2/datasets/dataset.hpp